<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	            xmlns:ui="http://java.sun.com/jsf/facelets"	   
	            xmlns:h="http://java.sun.com/jsf/html"
	            xmlns:f="http://java.sun.com/jsf/core"
	            xmlns:p="http://primefaces.org/ui"
	            template="/WEB-INF/templates/interno/templateBranco.xhtml">
	            
	<ui:define name="content">
	
	<h:form id="FornecedorListForm" class="form-height">

		<p:contextMenu id="FornecedorDataTableContextMenu" for="datalist">
		    <p:menuitem value="Novo" onclick="document.getElementById('FornecedorListForm:datalist:createButton').click();" icon="fa fa-plus"/>
            <p:menuitem value="Editar" onclick="document.getElementById('FornecedorListForm:datalist:editButton').click();" icon="ui-icon-pencil"/>
            <p:menuitem value="Deletar" onclick="document.getElementById('FornecedorListForm:datalist:deleteButton').click();" icon="ui-icon-trash"/>	
		</p:contextMenu>
		
		<p:messages showDetail="true" autoUpdate="true" closable="true"/>

		<p:dataTable id="datalist" 
		             var="funcionario" 
		             value="#{funcionarioBean.listarTodos()}"
			         selectionMode="single" 
			         selection="#{funcionarioBean.funcionarioSelecionado}"
			         rowKey="#{funcionario.id}" 
			          paginator="true"
                     rows="20"
                     
                     rowsPerPageTemplate="20,40,60"
   			         paginatorTemplate="{buttons} {CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
			         paginatorPosition="buttom" >
			          
			         <f:facet name="header">
                <div class="row row-nomargin">
                    
                    <div class="col-lg-12">
                        <h:outputText value="Funcionarios "/>
                    </div>
                    
                </div>
            </f:facet>
			<p:ajax event="rowSelect" update="datalist" />
			
			<p:column headerText="Nome do funcionario">
				<h:outputText value="#{funcionario.nome}" />
			</p:column>
			
			<p:column headerText="Cargo">
				<h:outputText value="#{funcionario.cargo.cargo}" />
			</p:column>
			
			<p:column headerText="Valor em R$">
				<h:outputText value="#{funcionario.cargo.salario}" />
			</p:column>
			
			<f:facet name="{buttons}">
                 <div class="footer-left">  
                    <p:commandButton id="createButton" styleClass="btn-primary" icon="fa fa-plus" value="Cadastrar" onclick="PF('CadastroFornecedor').show();" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
                    <p:commandButton id="editButton"   styleClass="btn-primary" icon="fa fa-pencil" value="Alterar" onclick="PF('EditFornecedor').show();" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()" disabled="#{empty exameBean.exameSelecionado}" update="EditFornecedorform"/>
                    <p:commandButton id="deleteButton" styleClass="btn-primary" icon="fa fa-trash"  value="Deletar" action="#{exameBean.deletar()}" update="datalist" disabled="#{empty exameBean.exameSelecionado}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                        <p:confirm header="Confirmação" message="Deseja deletar #{exameBean.exameSelecionado.nome}?" icon="fa fa-warning"/>
                    </p:commandButton> 
                 </div>   
                
			</f:facet>
		</p:dataTable>

		<p:confirmDialog global="true" styleClass="box box-danger">  
          <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes btn-success" icon="fa fa-check"/>  
          <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no btn-danger" icon="fa fa-remove"/>       
        </p:confirmDialog>
	</h:form>
	
	<p:dialog  id="CadastroFornecedorId" widgetVar="CadastroFornecedor" modal="true" resizable="false"
			   closeOnEscape="true" header="Cadastro de exame"
			   appendTo="@(body)" styleClass="box box-primary">

         <h:form id="CadastroFornecedorform">
         <p:messages id="msgs" autoUpdate="true" closable="true"/>
			<h:panelGroup id="displayCadastrar">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
					
                    <p:outputLabel value="Nome do funcionario: " />
					<p:inputText value="#{funcionarioBean.funcionario.nome}" />
					
					<p:outputLabel value="Cargo: "/>
					<p:selectOneMenu id="cargo" value="#{funcionarioBean.funcionario.cargo}"
										required="true"
										requiredMessage="É necessário informar um cargo"
										converter="entidadeConverterCargo" autoWidth="false">//Conversor aqui!
					      <f:selectItem itemLabel=" --Selecione um cargo -- " noSelectionOption="true"/>
						  <f:selectItems value="#{cargoBean.listarTodos()}" var="c" itemLabel="#{c.cargo}" itemValue="#{c}" />
					</p:selectOneMenu>

					<p:outputLabel value="CPF: " />
					<p:inputText value="#{funcionarioBean.funcionario.cpf}" />
				
					<p:outputLabel value="Telefone: " />
					<p:inputText value="#{funcionarioBean.funcionario.telefone}" />
				
					<p:outputLabel for="dataNascimento" value="Data de nascimento:" />
               		<p:calendar id="dataNascimento" value="#{funcionarioBean.funcionario.dataContratacao}" pattern="dd-MM-yyyy" mask="true" />
               		
               		<p:outputLabel value="Estado: " />
					<p:inputText value="#{funcionarioBean.funcionario.endereco.estado}" />
				
					<p:outputLabel value="Cidade: " />
					<p:inputText value="#{funcionarioBean.funcionario.endereco.cidade}" />
				
					<p:outputLabel value="CEP: " />
					<p:inputText value="#{funcionarioBean.funcionario.endereco.cep}" />
				
					<p:outputLabel value="Bairro: " />
					<p:inputText value="#{funcionarioBean.funcionario.endereco.bairro}" />
				
					<p:outputLabel value="Lougradouro: " />
					<p:inputText value="#{funcionarioBean.funcionario.endereco.lougradouro}" />
				
					<p:outputLabel value="Número: " />
					<p:inputText value="#{funcionarioBean.funcionario.endereco.numero}" />

					<f:facet name="footer">
						<div class="footer-right footer">
							<p:commandButton icon="fa fa-check-square-o fa-lg"
								styleClass="btn-success"
								value="Cadsastrar" action="#{funcionarioBean.salvar()}" update="@all"/>
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Cancelar"
								onclick="PF('CadastroFornecedor').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
		
		
		<p:dialog  id="EditFornecedorId" widgetVar="EditFornecedor" modal="true" resizable="false"
			   closeOnEscape="true" header="Alterar cadastro do exame"
			   appendTo="@(body)" styleClass="box box-primary">

         <h:form id="EditFornecedorform">
         <p:messages id="msgs" autoUpdate="true" closable="true"/>
			<h:panelGroup id="displayEditar">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
					
                     <p:outputLabel  value="Nome do exame: " for="nome"/>
					<p:inputText id="nome" value="#{exameBean.exameSelecionado.nome}" />

					<p:outputLabel  value="Valor: R$" for="valor"/>
					<p:inputText id="valor"  value="#{exameBean.exameSelecionado.valor}"/>
   
					

					<f:facet name="footer">
						<div class="footer-right footer">
							<p:commandButton icon="fa fa-check-square-o fa-lg"
								styleClass="btn-success"
								value="Alterar" action="#{exameBean.alterar()}" update="@all"/>
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Cancelar"
								onclick="PF('EditFornecedor').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
	
	</ui:define>            

</ui:composition>
